# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['actstream',
 'actstream.migrations',
 'actstream.templatetags',
 'actstream.tests']

package_data = \
{'': ['*'],
 'actstream': ['locale/en/LC_MESSAGES/*',
               'locale/es/LC_MESSAGES/*',
               'locale/nl/LC_MESSAGES/*',
               'locale/pt_BR/LC_MESSAGES/*',
               'locale/sv/LC_MESSAGES/*',
               'templates/*',
               'templates/actstream/*']}

extras_require = \
{'jsonfield': ['django-jsonfield>=1.0.1', 'django-jsonfield-compat>=0.4.4']}

setup_kwargs = {
    'name': 'ak-django-activity-stream',
    'version': '0.8.0.post1',
    'description': "Generate generic activity streams from the actions on your site. Users can follow any actors\\' activities for personalized streams.",
    'long_description': 'Django Activity Stream\n======================\n\n.. image:: https://travis-ci.org/justquick/django-activity-stream.svg?branch=master\n    :target: https://travis-ci.org/justquick/django-activity-stream\n\n.. image:: https://badges.gitter.im/django-activity-stream/Lobby.svg\n   :alt: Join the chat at https://gitter.im/django-activity-stream/Lobby\n   :target: https://gitter.im/django-activity-stream/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge\n\n.. image:: https://coveralls.io/repos/github/justquick/django-activity-stream/badge.svg?branch=master\n    :target: https://coveralls.io/github/justquick/django-activity-stream?branch=master\n\n.. image:: https://scrutinizer-ci.com/g/justquick/django-activity-stream/badges/quality-score.png?b=master\n    :target: https://scrutinizer-ci.com/g/justquick/django-activity-stream/\n\n.. image:: https://img.shields.io/pypi/v/django-activity-stream.svg\n    :target: https://pypi.python.org/pypi/django-activity-stream\n\n.. image:: https://app.fossa.io/api/projects/git%2Bgithub.com%2Fjustquick%2Fdjango-activity-stream.svg?type=shield\n   :target: https://app.fossa.io/projects/git%2Bgithub.com%2Fjustquick%2Fdjango-activity-stream?ref=badge_shiel\n\n\nWhat is Django Activity Stream?\n===============================\n\nDjango Activity Stream is a way of creating activities generated by the actions on your site.\n\nIt is designed for generating and displaying streams of interesting actions and can handle following and unfollowing of different activity sources.\nFor example, it could be used to emulate the Github dashboard in which a user sees changes to projects they are watching and the actions of users they are following.\n\nAction events are categorized by four main components.\n\n * ``Actor``. The object that performed the activity.\n * ``Verb``. The verb phrase that identifies the action of the activity.\n * ``Action Object``. *(Optional)* The object linked to the action itself.\n * ``Target``. *(Optional)* The object to which the activity was performed.\n\n``Actor``, ``Action Object`` and ``Target`` are `GenericForeignKeys <https://docs.djangoproject.com/en/dev/ref/contrib/contenttypes/#django.contrib.contenttypes.fields.GenericForeignKey>`_ to any arbitrary Django object and so can represent any Django model in your project.\nAn action is a description of an action that was performed (``Verb``) at some instant in time by some ``Actor`` on some optional ``Target`` that results in an ``Action Object`` getting created/updated/deleted.\n\nFor example: `justquick <https://github.com/justquick/>`_ ``(actor)`` *closed* ``(verb)`` `issue 2 <https://github.com/justquick/django-activity-stream/issues/2>`_ ``(object)`` on `django-activity-stream <https://github.com/justquick/django-activity-stream/>`_ ``(target)`` 12 hours ago\n\nNomenclature of this specification is based on the Activity Streams Spec: `<http://activitystrea.ms/>`_\n\nFor complete documentation see `Django Activity Stream Documentation <http://django-activity-stream.rtfd.io/en/latest/>`_\n\n\n\nContributors\n\n------------\n\nThis project exists thanks to all the people who contribute!\n\n.. image:: https://opencollective.com/django-activity-stream/contributors.svg?width=890&button=false\n\nSponsors\t\n========\t\n\n `Get supported django-activity-stream with the Tidelift Subscription <https://tidelift.com/subscription/pkg/pypi-django-activity-stream?utm_source=pypi-django-activity-stream&utm_medium=referral&utm_campaign=readme>`_\n',
    'author': 'Appknox',
    'author_email': 'engineering@appknox.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/appknox/django-activity-stream',
    'packages': packages,
    'package_data': package_data,
    'extras_require': extras_require,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
